#include <stdio.h>
#include <omp.h>
#define N 10
int main() {
	int i;
	float a[N], b[N], partial_result, result = 0;;
	omp_set_num_threads(4);
#pragma omp parallel default(none), private(i), shared(a,b)
	{
#pragma omp for
		for (i = 0; i < N; i++) {
			a[i] = (i + 1) * 1.0;
			b[i] = (i + 1) * 2.0;
		}
	}
#pragma omp parallel default(none), private(i,partial_result), shared(a,b,result) 
	{
		partial_result = 0.0;
#pragma omp for
		for (i = 0; i < N; i++)
			partial_result = partial_result + (a[i] * b[i]);
#pragma omp critical
		result = result + partial_result;
	}
	printf("Final result= %f \n", result);
	return 0;
}